slasq6.f(3)

NAME
slasq6.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLASQ6 (I0, N0, Z, PP, DMIN, DMIN1, DMIN2, DN, DNM1, DNM2)
SLASQ6

Function/Subroutine Documentation

  subroutine SLASQ6 (INTEGERI0, INTEGERN0, REAL, dimension( * )Z, INTEGERPP, REALDMIN, REALDMIN1, REALDMIN2, REALDN, REALDNM1, REALDNM2)

SLASQ6

Purpose:

     SLASQ6 computes one dqd (shift equal to zero) transform in
     ping-pong form, with protection against underflow and overflow.

Parameters:
    I0

              I0 is INTEGER
            First index.

    N0

              N0 is INTEGER
            Last index.

    Z

              Z is REAL array, dimension ( 4*N )
            Z holds the qd array. EMIN is stored in Z(4*N0) to avoid
            an extra argument.

    PP

              PP is INTEGER
            PP=0 for ping, PP=1 for pong.

    DMIN

              DMIN is REAL
            Minimum value of d.

    DMIN1

              DMIN1 is REAL
            Minimum value of d, excluding D( N0 ).

    DMIN2

              DMIN2 is REAL
            Minimum value of d, excluding D( N0 ) and D( N0-1 ).

    DN

              DN is REAL
            d(N0), the last value of d.

    DNM1

              DNM1 is REAL
            d(N0-1).

    DNM2

              DNM2 is REAL
            d(N0-2).

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 119 of file slasq6.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.